
From: Christoph Hellwig <hch@lst.de>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/shmem.c |    2 +-
 25-akpm/mm/slab.c  |   13 +++++++------
 2 files changed, 8 insertions(+), 7 deletions(-)

diff -puN mm/shmem.c~some-missing-statics-in-mm mm/shmem.c
--- 25/mm/shmem.c~some-missing-statics-in-mm	Wed Sep  1 14:45:58 2004
+++ 25-akpm/mm/shmem.c	Wed Sep  1 14:45:58 2004
@@ -179,7 +179,7 @@ static struct backing_dev_info shmem_bac
 	.unplug_io_fn = default_unplug_io_fn,
 };
 
-LIST_HEAD(shmem_inodes);
+static LIST_HEAD(shmem_inodes);
 static spinlock_t shmem_ilock = SPIN_LOCK_UNLOCKED;
 
 static void shmem_free_block(struct inode *inode)
diff -puN mm/slab.c~some-missing-statics-in-mm mm/slab.c
--- 25/mm/slab.c~some-missing-statics-in-mm	Wed Sep  1 14:45:58 2004
+++ 25-akpm/mm/slab.c	Wed Sep  1 14:45:58 2004
@@ -504,8 +504,10 @@ static struct cache_names __initdata cac
 #undef CACHE
 };
 
-struct arraycache_init initarray_cache __initdata = { { 0, BOOT_CPUCACHE_ENTRIES, 1, 0} };
-struct arraycache_init initarray_generic __initdata = { { 0, BOOT_CPUCACHE_ENTRIES, 1, 0} };
+static struct arraycache_init initarray_cache __initdata =
+	{ { 0, BOOT_CPUCACHE_ENTRIES, 1, 0} };
+static struct arraycache_init initarray_generic __initdata =
+	{ { 0, BOOT_CPUCACHE_ENTRIES, 1, 0} };
 
 /* internal cache of cache description objs */
 static kmem_cache_t cache_cache = {
@@ -523,8 +525,7 @@ static kmem_cache_t cache_cache = {
 
 /* Guard access to the cache-chain. */
 static struct semaphore	cache_chain_sem;
-
-struct list_head cache_chain;
+static struct list_head cache_chain;
 
 /*
  * vm_enough_memory() looks at this to determine how many
@@ -539,7 +540,7 @@ EXPORT_SYMBOL(slab_reclaim_pages);
  * chicken and egg problem: delay the per-cpu array allocation
  * until the general caches are up.
  */
-enum {
+static enum {
 	NONE,
 	PARTIAL,
 	FULL
@@ -822,7 +823,7 @@ void __init kmem_cache_init(void)
 	 */
 }
 
-int __init cpucache_init(void)
+static int __init cpucache_init(void)
 {
 	int cpu;
 
_
